cURL
curl --request POST \
--url https://{tenant}.stamp.eu/rest/locations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"phone": "<string>",
"address": "<string>",
"address_additional": "<string>",
"city": "<string>",
"postal_code": "<string>",
"state_region": "<string>",
"country": "<string>",
"timezone": "<string>"
}
'import requests
url = "https://{tenant}.stamp.eu/rest/locations"
payload = {
"name": "<string>",
"phone": "<string>",
"address": "<string>",
"address_additional": "<string>",
"city": "<string>",
"postal_code": "<string>",
"state_region": "<string>",
"country": "<string>",
"timezone": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
phone: '<string>',
address: '<string>',
address_additional: '<string>',
city: '<string>',
postal_code: '<string>',
state_region: '<string>',
country: '<string>',
timezone: '<string>'
})
};
fetch('https://{tenant}.stamp.eu/rest/locations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"name": "<string>",
"phone": "<string>",
"address": "<string>",
"address_additional": "<string>",
"city": "<string>",
"postal_code": "<string>",
"state_region": "<string>",
"country": "<string>",
"timezone": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"holidays": [
{
"id": "<string>",
"name": "<string>",
"is_system": "<string>",
"source_key": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"entries": [
{
"id": "<string>",
"date": "<string>",
"name": "<string>",
"half_day": "<string>"
}
]
}
],
"employees_count": 123
}
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Standorte
Standort erstellen
POST
/
locations
cURL
Authorizations
Bearer-Token, erhalten über den Login-Endpunkt (POST /rest/login).
Body
application/json
Maximum string length:
255Maximum string length:
50Maximum string length:
500Maximum string length:
500Maximum string length:
255Maximum string length:
20Maximum string length:
255Maximum string length:
100Maximum string length:
100Response
LocationResource
Show child attributes
Show child attributes
⌘I